Package it.ernytech.tdlib

## Class TdApi.ChatEvent

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEvent

Enclosing class:
  TdApi

    public static class TdApi.ChatEvent
    extends TdApi.Object

Represents a chat event.

### Field Summary

Fields
`TdApi.ChatEventAction` `action` Action performed by the user.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `date` Point in time (Unix timestamp) when the event happened.
`long` `id` Chat event identifier.
`int` `userId` Identifier of the user who performed the action that triggered the event.

### Constructor Summary

Constructors
`ChatEvent()` Default constructor.
`ChatEvent​(long id, int date, int userId, TdApi.ChatEventAction action)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Chat event identifier.

#### date

    public int date

Point in time (Unix timestamp) when the event happened.

#### userId

    public int userId

Identifier of the user who performed the action that triggered the event.

#### action

    public TdApi.ChatEventAction action

Action performed by the user.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEvent

    public ChatEvent()

Default constructor.

#### ChatEvent

    public ChatEvent​(long id,
                     int date,
                     int userId,
                     TdApi.ChatEventAction action)

Constructor for initialization of all fields.

Parameters:
  `id` - Chat event identifier.
  `date` - Point in time (Unix timestamp) when the event happened.
  `userId` - Identifier of the user who performed the action that triggered the event.
  `action` - Action performed by the user.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR